import { pgTable, integer, varchar, text, uuid } from "drizzle-orm/pg-core";
import { sql } from "drizzle-orm";
import { timestamps } from "./helpers/columns.helpers";

export const Build = pgTable("builds", {
	id: integer().primaryKey().generatedAlwaysAsIdentity({ name: "build_id_seq", startWith: 1, increment: 1, minValue: 1, maxValue: 2147483647, cache: 1 }),
	uuid: uuid().defaultRandom().unique(),
	account_id: integer().notNull(),
	name: varchar({length:255}).notNull(),
	description: text(),
	...timestamps
})